/*
	Ninja Library
	
	COPYRIGHT (C) SEGA ENTERPRISES,LTD.

	Create 2000.03.01

*/
#include <Ninja.h>
#include <Njutil.h>

/****************************************************************/
/*  関数名：nuLoadPaletteFile								    */
/*  機  能：パレットのデータをロードする					    */
/*  入  力：const char *filename								*/
/*			NJS_TEXPALETTE *pl									*/
/*  出  力：なし                                                */
/*  戻り値：成功 １失敗 −１                                    */
/*  概　要：                                                    */
/*  備　考：                                                    */
/****************************************************************/
Sint32 nuLoadPaletteFile(const char *filename,NJS_TEXPALETTE *pl)
{
	Sint8 *texbuf;
	Int texbuf_size;
	
	nuGetTextureBuffer(&texbuf,&texbuf_size);
	
	if(nuTexFreadAll(filename,texbuf,texbuf_size) < 0){
		return -1;
	}
	
	return njLoadPaletteData(texbuf,pl);

}